package kz.konturai.parser.dto;

public class ParserResultDto {

    private String source;
    private int processedItems;
    private long totalItemsInDb;
    private String status;

    public ParserResultDto() {
    }

    public ParserResultDto(String source, int processedItems, long totalItemsInDb, String status) {
        this.source = source;
        this.processedItems = processedItems;
        this.totalItemsInDb = totalItemsInDb;
        this.status = status;
    }

    // Getters and Setters
    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public int getProcessedItems() {
        return processedItems;
    }

    public void setProcessedItems(int processedItems) {
        this.processedItems = processedItems;
    }

    public long getTotalItemsInDb() {
        return totalItemsInDb;
    }

    public void setTotalItemsInDb(long totalItemsInDb) {
        this.totalItemsInDb = totalItemsInDb;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
